# $EPIC: chops,v 1.3 2001/07/23 22:38:14 jnelson Exp $
Synopsis:
   $chops(<channel>)

Technical:
   * If the <channel> argument is omitted, the current window's current
     channel is used.  THIS IS NOT NECCESARILY THE CORRECT CHANNEL IN 
     AN /ON!
   * If the <channel> argument is the literal star character (``*''), the
     current window's current channel is used.  THIS IS NOT NECCESARILY THE
     CORRECT CHANNEL IN AN /ON!
   * This function returns the channel operators on the specified channel.
   * You must be on the channel; the empty string is returned if you are not.
   * Before /ON CHANNEL_SYNC is thrown, this function may return the empty
     string (because EPIC does not know who are the channel operators yet.)
   * A design defect in the historical server implementation may cause 
     truncated nicknames to be included in the list.  The client corrects 
     these truncated nicknames by watching the WHO reply.  Before 
     /ON CHANNEL_SYNC is thrown, truncated nicknames may be included in 
     this list.
   * In general you cannot use this function in a status_format.

Practical:
   The most common use of $chops() is to send a message to all the channel
   operators.  You can use /FE to break up the list into groups that won't
   offend your server, and use $sar() to convert the spaces into commas.

Returns:
   The channel operators on the specified channel.  You must be on the 
   channel.  Before /ON CHANNEL_SYNC, this function may return the empty
   string, or a list with truncated nicknames.

Examples:
   $chops(#foo)             shows operators on channel #foo
   $chops(*)                shows channel operators on current channel
   $chops()                 shows channel operators on current channel

History:
   This function first appeared in "+3" (post-ircII, pre-EPIC).  Support
   for the default argument and for "*" first appeared in "+4".

See Also:
   names(2); onchannel(6); nochops(6)

